component-section
  div(slot='title') Architecture Decision Documentatie
  component-intendedlearningoutcomes
    component-criterion(codes='["SA-begrip-beslissingen"]')
      | legt
      |
      strong (architectuur)ontwerpbeslissing
      |
      | uit.
    component-criterion(codes='["SA-begrip-beslissingen"]')
      | legt
      |
      strong architecturele onderbouwing
      |
      | uit.
    component-criterion(codes='["SA-begrip-beslissingen"]')
      | documenteert ontwerpbeslissingen.
    component-criterion(codes='["SA-begrip-evalueren"]')
      | legt
      |
      strong architectuurevaluatie
      |
      | uit.
    component-criterion(codes='["SA-begrip-evalueren"]')
      | legt
      |
      strong architectuurbesluiten
      |
      | uit.
    component-criterion(codes='["SA-begrip-evalueren"]')
      | legt uit wanneer en tot welk niveau
      |
      strong architectuurbesluiten
      |
      | worden gedocumenteerd.
    component-criterion(codes='["SA-begrip-evalueren"]')
      | legt
      |
      strong Architecture Decision Record
      |
      | uit.
  component-section
    div(slot='title') Architectuurontwerpbeslissingen documenteren
    component-section
      div(slot='title') Software Architecture Document
      p.bron SAD
      ul.liststyletypenone
        li.bron
          a(href='bron/material/extra/SAD-template.docx') SAD Template
        li.bron
          a(href='bron/material/extra/SWA_SAD_ToReview.pdf') SKA SAD Voorbeeld
        li.bron
          a(href='bron/material/extra/SoftwareArchitectureDocument_DECAF.doc') SAD DECAF
        li.bron
          a(href='bron/material/IKEA_SOA_Solution_Architecture_v1p3.pdf') SAD IKEA
  component-section
    div(slot='title') Bestuderen
    p.bron
      cite(data-id='6867189/KRJVJXEU', data-label='chapter') Software Architecture in Practice
    p.bron
      abbr(title='Nygard, M. (2011). Documenting Architecture Decisions')
        a(href='https://cognitect.com/blog/2011/11/15/documenting-architecture-decisions') Documenting Architecture Decisions
    p.bron
      abbr(title='Starke. G., Hruschka, P., Muller, RD. (2020). arc42 Template')
        a(href='https://arc42.org/overview') arc42 Template
  component-section
    div(slot='title') Oefening 1
    p
    component-exercise
      p
        strong Decision Relationship View:
      ul
        li
          | Lees (indien nodig) HandsOn:
          |
          a(href='#sec_3.3') Software Trendanalyse Dashboard
        li Gebruik de oefeningen uit voorgaande weken
        li Maak een decision relationship view
        li Neem de besluiten over uit de forces view
        li Voeg gerelateerde besluiten toe die geen onderdeel uitmaken van de forces view
        li Breng de relaties tussen besluiten in beeld
        li
          | Vul in een template enkele decisions in (Decision Rationale of ADR) en begin met de belangrijkste besluiten eerst.
        li Brainstorm over de rationale achter deze besluiten
        li
          | Gebruik informatie over state, stakeholders, history, alternatieven en gerelateerde besluiten uit andere views.
        li Koppel de besluiten aan de requirements.
  component-section
    div(slot='title') 👨‍🏫 Presentatie
    ul.liststyletypenone
      li.bron
        a(href='bron/slides/SKA_OW7.pdf') Lesweek 7
  component-section(extra='')
    div(slot='title') Verdieping
    p.bron
      abbr(
        title='van Heesch, U., Eloranta, V. P., Avgeriou, P., Koskimies, K., & Harrison, N. (2014). Decision-Centric Architecture Reviews. IEEE Software, 31(1), 69-76')
        a(href='bron/material/vanHeesch_al_DecisionCentricReview.pdf') Decision-Centric Architecture Reviews. IEEE Software
    p.bron
      abbr(
        title='van Heesch, U., Avgeriou, P., & Hilliard, R. (2012, August). Forces on Architecture Decisions-A Viewpoint. (pp. 101-110). IEEE Computer Society')
        a(href='bron/material/vanHeesch_al_ForcesOnArchDecisions-WICSA12b.pdf') Forces on Architecture Decisions
    p.bron
      abbr(
        title='van Heesch, U., Avgeriou, P., & Hilliard, R. (2012). A documentation framework for architecture decisions. Journal of Systems and Software, 85(4), 795-820')
        a(href='bron/material/vanHeesch_al_DocumentationFrmwkArchDecision.pdf') A documentation framework for architecture decisions
    p.bron
      abbr(title='Kazman, R., Klein, M., Clements, P. (2000). ATAM: Method for Architecture Evaluation')
        a(href='bron/material/ATAM-TR.pdf') ATAM: Method for Architecture Evaluation
